<?php

namespace SuperRhino\Utils\Logger;

use SuperRhino\Utils\Facade;

/**
 * @method static void debug(string $message, array $context = [])
 * @method static void info(string $message, array $context = [])
 * @method static void notice(string $message, array $context = [])
 * @method static void warning(string $message, array $context = [])
 * @method static void error(string $message, array $context = [])
 * @method static void critical(string $message, array $context = [])
 * @method static void alert(string $message, array $context = [])
 * @method static void emergency(string $message, array $context = [])
 */
class Log extends Facade {

    protected static function getFacadeAccessor() {
        return LoggerAdapter::class;
    }

}